/******************************************************************************
* C Include: Decode                                                           *
*                                                                             *
* File:                                                                       *
*    decode.h                                                                 *
*                                                                             *
* Description:                                                                *
*    Include file for the the decode function.                                *
*                                                                             *
* History:                                                                    *
*    Created    : 18-MAY-95 by J. Doggett,                                    *
*       for the Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       to facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 18-AUG-95 by J. Doggett,                                    *
*       GetImage Version 1.2.                                                 *
*                                                                             *
* Copyright (c) 1995, Association of Universities for Research in Astronomy,  *
* Inc.  All Rights Reserved.                                                  *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __DECODE__
#define __DECODE__

#include "qfile.h"

/*******************************
* Decode functions' prototypes *
*******************************/
extern void decode(/* QFILE  * infile, 
		      int   ** a     ,
		      int    * nx    ,
		      int    * ny    ,	
		      int    * scale  */);

int checkCompressedTileFormat();   

#endif
