/******************************************************************************
* C Include: Write Image                                                      
*                                                                             
* File:                                                                       
*    writeimg.h                                                               
*                                                                             
* Description:                                                                
*    Include file for the functions used to write images.                     
*                                                                             
* History:                                                                    
*    Created    : 14-DEC-93 by J. Doggett,                                    
*       for the Association of Universities for Research in Astronomy, Inc.   
*          at the Space Telescope Science Institute,                          
*       to facilitate the accessing of data from the CD-ROM set of the        
*          Digitized Sky Survey.                                              
*    Delivered  : 01-MAR-94 by J. Doggett,                                    
*       GetImage Version 1.0.                                                 
*                                                                             
*    Updated    : 22-NOV-96 by J. Doggett,				      
*       Modifed prototypes of Write_FITS_Extracted_Image and writefits to 
*       reflect changes in argument list.				
*    Redelivered: xx-xxx-xx by J. Doggett,                                    
*       GetImage Version 2.0x.                                                
*                                                                             
* Copyright (c) 1993, 1994, 1996, Association of Universities for Research in
* Astronomy, Inc.  All Rights Reserved.                                       
* Produced under National Aeronautics and Space Administration grant          
* NAG W-2166.                                                                 
******************************************************************************/
#ifndef __WRITEIMG__
#define __WRITEIMG__

#include "extrctn.h"
#include "header.h"
#include "image.h"

/******************************
* Image functions' prototypes *
******************************/

       void Write_FITS_Extracted_Image(/* IMAGE_DATA  Image              ,
                                          HEADER      Header             ,
                                          STRING      imageFileRoot      ,
					  STRING      calibrationFile     */);

       void Write_HHH_Extracted_Image (/* IMAGE_DATA  Image              ,
                                          HEADER      Header             ,
                                          STRING      imageFileRoot       */);

       void Write_HHH_Header          (/* HEADER      Header             ,
                                          STRING      imageFileRoot       */);

extern int  writefits                 (/* HEADER      h                  ,
                                          short       image[]            ,
                                          char       *filename           ,
					  char       *calibrationFileName */);

extern int  writehhh                  (/* HEADER      h                  ,
                                          short       image[]            ,
                                          char       *headfile            */);

#endif
